#!/bin/bash

sleep 1

# notify-send "ocbwoy3" "ran xdg setup"

# kill all possible running xdg-desktop-portals
kill -9 $(pidof xdg-desktop-portal-hyprland)
kill -9 $(pidof xdg-desktop-portal-gnome)
kill -9 $(pidof xdg-desktop-portal-kde)
kill -9 $(pidof xdg-desktop-portal-lxqt)
kill -9 $(pidof xdg-desktop-portal-wlr)
kill -9 $(pidof xdg-desktop-portal-gtk)
kill -9 $(pidof xdg-desktop-portal)
sleep 1

# start xdg-desktop-portal-hyprland
hyprctl dispatch exec /usr/lib/xdg-desktop-portal-hyprland &
sleep 2

# notify-send "ocbwoy3" "xdph"

# start xdg-desktop-portal
hyprctl dispatch exec /usr/lib/xdg-desktop-portal &
sleep 1

# notify-send "ocbwoy3" "xdp"